Poll a long-audio transcription
curl --request GET \
--url https://stt.omnia-voice.com/batch/{operationId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://stt.omnia-voice.com/batch/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://stt.omnia-voice.com/batch/{operationId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"operationId": "<string>",
"status": "awaiting_upload",
"progressPercent": 123,
"transcript": "<string>",
"segments": [
{
"transcript": "<string>",
"confidence": 123,
"language": "fi-FI",
"isFinal": true
}
],
"speakerTurns": [
{
"speaker": "1",
"transcript": "<string>"
}
],
"audioBytes": 123,
"durationMs": 123,
"sessionId": "<string>",
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "INVALID_API_KEY"
}{
"error": "<string>",
"message": "<string>",
"code": "INVALID_API_KEY"
}Transcription
Poll a long-audio transcription
Poll every 10–30 seconds until status is completed. Use the same API key
that started the operation. Results are kept for 24 hours.
GET
/
batch
/
{operationId}
Poll a long-audio transcription
curl --request GET \
--url https://stt.omnia-voice.com/batch/{operationId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://stt.omnia-voice.com/batch/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://stt.omnia-voice.com/batch/{operationId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"operationId": "<string>",
"status": "awaiting_upload",
"progressPercent": 123,
"transcript": "<string>",
"segments": [
{
"transcript": "<string>",
"confidence": 123,
"language": "fi-FI",
"isFinal": true
}
],
"speakerTurns": [
{
"speaker": "1",
"transcript": "<string>"
}
],
"audioBytes": 123,
"durationMs": 123,
"sessionId": "<string>",
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "INVALID_API_KEY"
}{
"error": "<string>",
"message": "<string>",
"code": "INVALID_API_KEY"
}Authorizations
Your Omnia API key (om_… or ck_…)
Path Parameters
Example:
"batch_a1b2c3d4-0000-0000-0000-000000000000"
Response
Current state of the operation
Available options:
awaiting_upload, processing, completed, error While processing.
When completed.
Show child attributes
Show child attributes
When completed with diarization.
Show child attributes
Show child attributes
Billed audio duration in milliseconds.
When status is error.